include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions( -DTHREADSAFE=1 -DHAVE_USLEEP=1 )


##### sqlite (static)

tde_add_library( sqlite STATIC_PIC

    SOURCES
          sqlite3.c
    LINK
       dl
)
